智能客服
你问我答,随时在线为你解决问题

























HMS Core
添加登机牌个人化实例到钱包服务器。
需在华为AGC网站上创建应用并申请卡券对应的服务。需先添加个人化实例所属的卡券模板到华为钱包服务器。
承载协议 | HTTPS POST |
|---|---|
接口方向 | 开发者服务器->华为钱包服务器 |
接口URL | {url}/hmspass/v1/flight/instance {url}变量需要开发者根据服务器所属区域自行选择,请参见钱包服务器地址。 |
数据格式 | 请求消息:Content-Type: application/json 响应消息:Content-Type: application/json |
Request Header:
参数 | 是否必选 | 参数类型 | 描述 |
|---|---|---|---|
Authorization | 是 | String | 鉴权码。获取方式详见基于OAuth 2.0开放鉴权,请使用“客户端模式”。“client_id”和“client_secret”即为开发者在华为AGC网站上创建应用后获取的“App ID”和“App key”。将获取到的“access_token”的值拼接在字符串“Bearer”之后,以空格符相隔,组成“Authorization”参数的值。 |
Content-Type | 是 | String | 固定值:“application/json;charset=utf-8”。 |
Accept | 是 | String | 固定值:“application/json;charset=utf-8”。 |
Request Body:
参数 | 是否必选 | 参数类型 | 描述 |
|---|---|---|---|
详见HwWalletObject参数描述 | 是 | 待添加的卡券个人化实例 |
- POST /hmspass/v1/flight/instance HTTP/1.1
- Content-Type: application/json;charset=utf-8
- Authorization: Bearer ***
- Host: wallet-passentrust-drcn.cloud.huawei.com.cn
- Accept: application/json;charset=utf-8
- {
- "organizationPassId": "5623489692",
- "passTypeIdentifier": "hwpass.com.huawei.wallet.flight.test",
- "passStyleIdentifier": "flightModelTest",
- "serialNumber": "20001",
- "fields": {
- "status": {
- "state": "active",
- "effectTime": "2019-11-13T00:00:00.111Z",
- "expireTime": "2020-11-20T00:00:00.111Z"
- },
- "barCode": {
- "text": "5623489692",
- "type": "qrCode",
- "value": "5623489692",
- "encoding": "UTF-8"
- },
- "commonFields": [
- {
- "key": "seatNumber",
- "value": "12A"
- },
- {
- "key": "passengerName",
- "value": "Wang Xiao"
- },
- {
- "key": "boardingSequence",
- "value": "1"
- },
- {
- "key": "flightClass",
- "value": "First Class"
- }
- ],
- "appendFields": [
- {
- "key": "confirmationNumber",
- "value": "ITK919"
- }
- ]
- }
- }
- HTTP/1.1 200 OK
- Content-Type: application/json
- {
- "organizationPassId": "5623489692",
- "passTypeIdentifier": "hwpass.com.huawei.wallet.flight.test",
- "passStyleIdentifier": "flightModelTest",
- "serialNumber": "20001",
- "fields": {
- "status": {
- "state": "active",
- "effectTime": "2019-11-13T00:00:00.111Z",
- "expireTime": "2020-11-20T00:00:00.111Z"
- },
- "commonFields": [
- {
- "key": "seatNumber",
- "value": "12A"
- },
- {
- "key": "passengerName",
- "value": "Wang Xiao"
- },
- {
- "key": "boardingSequence",
- "value": "1"
- },
- {
- "key": "flightClass",
- "value": "First Class"
- }
- ],
- "appendFields": [
- {
- "key": "confirmationNumber",
- "value": "ITK919"
- }
- ],
- "barCode": {
- "text": "5623489692",
- "type": "qrCode",
- "value": "5623489692",
- "encoding": "UTF-8"
- }
- }
- }
详见错误码。
- public HwWalletObject postHwWalletObjectToWalletServer(String url, HwWalletObject hwWalletObject) {
- // Construct the http header.
- HttpHeaders header = constructHttpHeaders();
- // Construct the http body.
- String body = CommonUtil.toJson(hwWalletObject);
- JSONObject jsonObj = JSONObject.parseObject(body);
- System.out.println("Request JSON : " + jsonObj);
- // Construct the http URL.
- String baseUrl = ConfigHelper.instants().getValue("walletServerBaseUrl");
- String walletServerUrl = baseUrl + url;
-
- // Send the http request and get response.
- HttpEntity<JSONObject> entity = new HttpEntity<>(jsonObj, header);
- ResponseEntity<HwWalletObject> exchange =
- REST_TEMPLATE.exchange(walletServerUrl, HttpMethod.POST, entity, HwWalletObject.class);
-
- // Return the posted wallet model.
- return exchange.getBody();
- }
智能客服
你问我答,随时在线为你解决问题
合作咨询
我们的专家服务团队将竭诚为您提供专业的合作咨询服务
解决方案
精准高效的一站式服务支持,助力开发者商业成功